package com.rongwei.bscommon.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rongwei.bsentity.domain.EquMaintenanceTaskDo;
import com.rongwei.bsentity.dto.TaskCreatorDTO;

import java.util.List;

/**
 * @author shangmi
 * @title EquMaintenanceTaskService
 * @date 2023/11/27 15:23
 * @description 保养检修任务业务类
 */
public interface EquMaintenanceTaskService extends IService<EquMaintenanceTaskDo> {
    List<EquMaintenanceTaskDo> getMaintenanceSite(TaskCreatorDTO taskCreator);

    int insertBatch(List<EquMaintenanceTaskDo> equMaintenanceTaskDos);

    List<EquMaintenanceTaskDo> getListByYearAndMonth(int year, int month);

    List<EquMaintenanceTaskDo> getListByTimeQuantum(int year, int month,boolean stride);
}
